Padre::Wx::Panel::Debugger(3)

NAME
Padre::Plugin::Debug::Panel::Debugger - Interface to the Perl debugger.

DESCRIPTION
Padre::Wx::Debugger provides a wrapper for the generalised Debug::Client.

It should really live at Padre::Debugger, but does not currently have sufficient abstraction from Wx.

METHODS

  new
Simple constructor.

  debug_perl
  $main->debug_perl;

Run current document under Perl debugger. An error is reported if current is not a Perl document.

Returns true if debugger successfully started.